Subject: Offline Message from Shaikha: I made an order for foot Cream yesterday and i
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 13 Jul 2020 10:02:05 -0000

From: Shaikha <[email-masked]>
Phone: 
Location: Dubai, United Arab Emirates
URL: https://www.mumzworld.com/
Department: 

I made an order for foot Cream yesterday and i was happy that I received it in short time, but unfortunately I received it like its brought from an oven!!! And the cream melted like water!!! You dont!!! How come  You don’t take care of storing this kind of product!!! I don’t think anyone will accept that not either consumer protection in dubai!!!!

----
Zopim
https://www.zopim.com